1. whenever's Avatar
    Microsoft has recently released its full versions of Word, Powerpoint and Excel for Android phone. They install on an old android phone but they will not install on BB10. Every other app I've tried, at least installs, it may not launch or you may get Google services.

    Is Microsoft specifically blocking the installation on Blackberry 10 for strategic business reasons?

    This would be a very petty thing to be doing and would indicate that MS is actually afraid of BB.
    06-24-15 11:31 AM
  2. trueredsoxfan_58's Avatar
    They aren't actively blocking BB10. The new office apps require android 4.4 rather than BB's 4.3 . This is because of a new app execution model called ART that was introduced in 4.4 (its a lot faster than the current Dalvik VM). BB just needs the android runtime updated to 4.4 or better yet 5.0
    06-24-15 11:34 AM
  3. ssbtech's Avatar
    Good thing I installed the Office apps when I did then. I suppose you could find a BAR file somewhere...
    g0ehu likes this.
    06-24-15 03:04 PM
  4. Ment's Avatar
    They aren't actively blocking BB10. The new office apps require android 4.4 rather than BB's 4.3 . This is because of a new app execution model called ART that was introduced in 4.4 (its a lot faster than the current Dalvik VM). BB just needs the android runtime updated to 4.4 or better yet 5.0
    Doesn't have anything to do with ART. You can't have app specific execution model its all ART or all Davlik and besides a few Nexus and other that have developer options enabled all Kit Kat still runs under Davlik.

    It more likely has to do with 4.4 API like there are new API for addressing external storage and syncing which would be useful for a cloud app like Office.
    06-24-15 03:16 PM
  5. The_Passporter's Avatar
    Love using docs to go so not worried

    Posted via CB10
    06-24-15 06:27 PM
  6. joeldf's Avatar
    If it makes you feel any better, BlackBerry Blend for Android requires 4.4, too.

    Posted via CB10
    06-24-15 09:14 PM
  7. D3C0D3R's Avatar
    If it makes you feel any better, BlackBerry Blend for Android requires 4.4, too.

    Posted via CB10
    Do you plan on connecting to another BlackBerry via BlackBerry? :\

    Praise be unto our Lord, Squircle | Passport SQW100-1/10.3.2.2204
    06-24-15 10:18 PM
  8. anon(679606)'s Avatar
    M$ Office Mobile works...

    Posted via CB10
    06-26-15 03:11 AM
  9. joeldf's Avatar
    Do you plan on connecting to another BlackBerry via BlackBerry? :\

    Praise be unto our Lord, Squircle | Passport SQW100-1/10.3.2.2204
    Just making the point that other factors may determine why 4.4 was the starting point.

    Everyone with tablets still running 4.3 or older would not be able to run Blend. Did BlackBerry do that to purposely leave all those (maybe 10) people out?

    Posted via CB10
    06-26-15 09:41 AM
  10. JstAntherAnimal's Avatar
    So, the new HP hybrid laptop/tablets my wife and I just purchased from BestBuy came with install DVDs and subscription for Office 365. Didn't activate and install because I own Office Professional 2013 64-bit. Now I'm wondering if those DVDs have installers for Andy-compatible Word, Excel, and Powerpoint.... Guess it doesn't matter until BB updates the Andy engine in OS10.....
    06-26-15 10:41 AM
  11. D3C0D3R's Avatar
    Just making the point that other factors may determine why 4.4 was the starting point.

    Everyone with tablets still running 4.3 or older would not be able to run Blend. Did BlackBerry do that to purposely leave all those (maybe 10) people out?

    Posted via CB10
    Did you think maybe that it was just because they needed some of the newer features of 4.4 for their app? :/

    The OS required is usually due to dependences required, which are because of newer features and API hooks....

    Praise be unto our Lord, Squircle | Passport SQW100-1/10.3.2.2204
    06-26-15 01:48 PM
  12. luc4625's Avatar
    Interesting article today on how Microsoft is likely moving to partner more with Apple than Google in the future.

    Why Apple (AAPL) and Google's (GOOGL) Frosty Relationship Might Come to a Head This Year - TheStreet

    Could this be the beginning of a (APPLE+ MICROSOFT) vs (GOOGLE +BLACKBERRY) war?
    06-26-15 01:54 PM

Similar Threads

  1. How can I install BlackBerry Google ID?
    By CrackBerry Question in forum BlackBerry Passport
    Replies: 9
    Last Post: 01-30-16, 11:18 AM
  2. Is anyones screen more sensitive since 10.3.3?
    By CrackBerry Question in forum General BlackBerry Discussion
    Replies: 25
    Last Post: 06-26-15, 10:25 AM
  3. Q 10 light
    By milmar95 in forum BlackBerry Q10
    Replies: 5
    Last Post: 06-24-15, 02:55 PM
  4. How do I mute incoming calls on my Z10 with 10.3.2 update?
    By CrackBerry Question in forum BlackBerry Z10
    Replies: 2
    Last Post: 06-24-15, 12:35 PM
  5. Is there a way to stop the "Wi-Fi Connection Limited" notification ?
    By CrackBerry Question in forum Ask a Question
    Replies: 1
    Last Post: 06-24-15, 11:27 AM
LINK TO POST COPIED TO CLIPBOARD